#include <iostream>
#include <stdlib.h>     /* srand, rand */
#include <time.h>

using namespace std;

int main()
{
    int n,mc=0;
    cin >>n;
    int s[n];
    for(int i=0;i<n;i++)
    {
        cin>>s[i];
    }
    if(n==2){
        cout<<s[1]<<" "<<s[0]<<endl;
    }
    else{
    bool done=false;
    for(int i=0;i<n;i++)
    {
        if(done)break;
        for(int j=i;j<n;j++)
        {
            if(s[i]<s[j])
            {
                int p=s[i];
                s[i]=s[j];
                s[j]=p;
                done=true;
                break;
            }

        }
    }
    if(!done)
    {
        int p=s[n-1];
        s[n-1]=s[n-2];
        s[n-2]=p;
    }
    for(int i=0;i<n;i++)cout<<s[i]<<" ";
    }
    return 0;
}